upgrading underneath Eclipse to neon.3

cancel
Showing results for 
Search instead for 
Did you mean: 

upgrading underneath Eclipse to neon.3

779 Views
mastupristi
Contributor III

I'm using MCUXpresso IDE 10.0.0_344. It is based on eclipse 4.6.2 (neon.2)

is it possible (and how) to upgrade the underneath eclipse to 4.6.3 (neon.3)?

best regards

max

Labels (1)
0 Kudos
3 Replies

322 Views
lpcxpresso_supp
NXP Employee
NXP Employee

MCUXpresso IDE is not based on the GNU ARM Eclipse plugins. And you'll find we already ship GDB 7.1.2

Also note that changing the compilation tools used within MCUXpresso IDE is not something we provide direct support for either.

Regards,

MCUXpresso IDE Support

0 Kudos

322 Views
lpcxpresso_supp
NXP Employee
NXP Employee

Updating these is not something we directly support - the IDE is supplied as an "all one in" product, with the component versions tested against each other. If you manage to change the version of any component, there is no guarantee that the IDE as a whole will still work.

We will of course be updating to later versions of Eclipse/CDT in a new MCUXpresso IDE release at some point, though we haven't actually scheduled this in yet.

Out of interest what functionality are you looking to obtain here in a later Neon build?

Regards,

MCUXpresso IDE Support

0 Kudos

322 Views
mastupristi
Contributor III
Out of interest what functionality are you looking to obtain here in a later Neon build?

Because I have to test arm-gcc 6.x, and reading here http://gnuarmeclipse.github.io/blog/2017/02/25/plugins-v3.3.1-201702251311-released/#known-problems and here https://www.element14.com/community/thread/59658/l/gcc-6x-with-gnu-arm-eclipse-plug-ins-v331-and-ecl...  gdb-7.12 needs neon.3

best regards

0 Kudos